Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1288827 (python-pacpy)

Summary: Review Request: python-pacpy - Calculate phase-amplitude coupling in Python
Product: [Fedora] Fedora Reporter: Igor Gnatenko <ignatenko>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-28 22:58:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1276941    

Description Igor Gnatenko 2015-12-06 10:43:06 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-pacpy.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-pacpy-1.0.1-1.fc24.src.rpm
Description: A module to calculate phase-amplitude coupling in Python.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-08 21:37:22 UTC
+ license is OK (MIT)
+ license file is present, %license is used
+ latest version
+ new python template is used
+ summary and description are OK
+ no scriptlets
+ %check is present and tests pass
+ provides and requires look fine

Upstream requirements file specifies pytest and statsmodels.

You should Require: pytest also, or at least Recommend: to allow tests to run in the installed package.

statsmodels doesn't seem to be used for anything though.

rpmlint:
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Package is APPROVED.

Comment 2 Gwyn Ciesla 2015-12-09 13:17:37 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-pacpy

Comment 3 Fedora Update System 2015-12-12 12:15:07 UTC
python-pacpy-1.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-adfc82fda6

Comment 4 Fedora Update System 2015-12-13 17:22:01 UTC
python-pacpy-1.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pacpy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-adfc82fda6

Comment 5 Fedora Update System 2015-12-28 22:58:46 UTC
python-pacpy-1.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.